#!/bin/sh
#**
#*  @file  move_doc.sh
#*  @brief  Move documentation in the right place for the release 
#*  @author Eddy Caron (Eddy.Caron@ens-lyon.fr)
#*  @section Licence 
#*    |LICENSE|

if [ `cat README.FIRST 2> /dev/null | grep 'Welcome to DIET' | wc -l` == '1' ]
then
    if [ -d "Release" ]
       then
    	   cp Release/doc/UsersManual/UsersManual.pdf doc/.
	   cp Release/doc/ProgrammersGuide/ProgrammersGuide.pdf doc/.
	   cp Release/doc/UsersFAQ/UsersFAQ.pdf doc/.
	   cp Release/doc/Quickstart/Quickstart.pdf doc/.
	   cp Release/doc/man/man1/*.1 doc/man/.
    else
	echo '_______________________________________________________'
	echo "| The 'Release' directory doesn't exist."
	echo '| Check bin/script/README for more information '
	echo '_______________________________________________________'
    fi 
else 
    echo '_______________________________________________________'
    echo '| You are not in the root of the DIET archive.'
    echo '| Please move to the DIET root directory and launch:'
    echo '| ./bin/script/move_doc.sh'
    echo '_______________________________________________________'
fi 

