#!/bin/sh

if [ $# -ne 1 ]; then
        echo 1>&2 Usage: $0 [gen,pub]
	echo "       gen: Generate the documentation"
	echo "       pub: Generate and publish the documentation" 
        exit -1
fi
if [ `cat README.FIRST 2> /dev/null | grep 'Welcome to DIET' | wc -l` == '1' ]
then
    if [ -d "Release" ]
       then
	   cp doc/UsersManual/fig4latex2html/*.png Release/doc/UsersManual/fig/
	   cp doc/UsersManual/fig4latex2html/favicon.ico Release/doc/UsersManual/fig/
	   cd Release/doc/UsersManual/
	   rm -rf UsersManual_html
	   mkdir UsersManual_html 
	   #cd UsersManual_html
	   latex2html -local_icons  -address "The DIET Team - `date`" -rootdir UsersManual_html UsersManual
	   cd UsersManual_html
	   
           # ---- Add favicon everywhere ----
	   for i in *.html
	   do 
	       cp $i _tmp_.html
	       sed s/"<\/HEAD>"/"<LINK REL=\"shortcut icon\" TYPE=\"image\/x-icon\" HREF=\"favicon.ico\"\/> \n<\/HEAD>"/g _tmp_.html > $i 
	   done 
	   rm _tmp_.html
	   
           # ---- Add XML GoDIET code ----
	   file1=`grep "Example XML input file" *.html | cut -f 1 -d ":" `
	   cp $file1  _tmp_.html 
	   sed s/"<TR><TD><\/TD><\/TR>"/"<TR><TD><DIV ALIGN="CENTER"><IMG SRC=\".\/xml_godiet.png\" ALT=\"Image XML GoDIET code\"\><\/DIV\><\/TD\><\/TR\>"/g   _tmp_.html > $file1
	   rm _tmp_.html
	   
	   cp ../fig/favicon.ico . 
	   cp ../fig/xml_godiet.png . 
	   
	   if [ $1 = "pub" ]; then
	       scp * diet:public_html/UsersManual/.
	   fi
	   
	   echo "Find the html doc here : " `pwd` 
    else
	echo '_______________________________________________________'
	echo "| The 'Release' directory doesn't exist."
	echo '| Build the Release first '
	echo '_______________________________________________________'
    fi 
else 
    echo '_______________________________________________________'
    echo '| You are not in the root of the DIET archive.'
    echo '| Please move to the DIET root directory and launch:'
    echo '| ./bin/script/gendochtml.sh '
    echo '_______________________________________________________'
fi 
