/*
 * DIETDataInoutScalarsSinkTests.cpp
 *
 * TODO : description
 *
 * Created on: 15 march 2011
 * Author: bdepardo
 */

#include <string>
#include <sstream>

#include <DIET_client.h>
#include <DIET_grpc.h>

#include "fixtures.hpp"
#include "utils.hpp"


BOOST_FIXTURE_TEST_SUITE(workflows_data_inout_matrix_sink,
                         AllDataTransferSeDFixtureWF)

#include "genericSimpleWfClientTest.hpp"

const std::string &expectedResult = "** RESULTS OF DAG 0 **\n## DAG OUTPUT (n3#out1) = \n4, 10\n10, 16\n\n";

/* Note: this test is using a DAG instead of a Functional Workflow because there is
 * no way currently to express the constraints of matrix through it
 * Similarly the spec of the matrix services from the example data_transfer has been modified
 * to be able to provide a value in the input files.
 */

BOOST_AUTO_TEST_CASE(data_inout_sink_matrix_char) {
  BOOST_TEST_MESSAGE("-- Test: workflow data inout matrix sink char");

  genericSimpleWorkflowClient(WF_DIRECTORY "inout_sink_matrix_CMADD.xml",
                              "Inout Matrix Sink char",
                              DIET_WF_DAG,
							  "",
							  WF_DIRECTORY "data_out.xml",
							  "",
							  expectedResult);
}

BOOST_AUTO_TEST_CASE(data_inout_sink_matrix_short) {
  BOOST_TEST_MESSAGE("-- Test: workflow data inout matrix sink short");

  genericSimpleWorkflowClient(WF_DIRECTORY "inout_sink_matrix_BMADD.xml",
                              "Inout Matrix Sink short",
                              DIET_WF_DAG,
							  "",
							  WF_DIRECTORY "data_out.xml",
							  "",
							  expectedResult);
}

BOOST_AUTO_TEST_CASE(data_inout_sink_matrix_int) {
  BOOST_TEST_MESSAGE("-- Test: workflow data inout matrix sink int");

  genericSimpleWorkflowClient(WF_DIRECTORY "inout_sink_matrix_IMADD.xml",
                              "Inout Matrix Sink int",
                              DIET_WF_DAG,
							  "",
							  WF_DIRECTORY "data_out.xml",
							  "",
							  expectedResult);
}

BOOST_AUTO_TEST_CASE(data_inout_sink_matrix_long) {
  BOOST_TEST_MESSAGE("-- Test: workflow data inout matrix sink long");

  genericSimpleWorkflowClient(WF_DIRECTORY "inout_sink_matrix_LMADD.xml",
                              "Inout Matrix Sink long",
                              DIET_WF_DAG,
							  "",
							  WF_DIRECTORY "data_out.xml",
							  "",
							  expectedResult);
}

BOOST_AUTO_TEST_CASE(data_inout_sink_matrix_float) {
  BOOST_TEST_MESSAGE("-- Test: workflow data inout matrix sink float");

  genericSimpleWorkflowClient(WF_DIRECTORY "inout_sink_matrix_FMADD.xml",
                              "Inout Matrix Sink float",
                              DIET_WF_DAG,
							  "",
							  WF_DIRECTORY "data_out.xml",
							  "",
							  expectedResult);
}


BOOST_AUTO_TEST_CASE(data_inout_sink_matrix_double) {
  BOOST_TEST_MESSAGE("-- Test: workflow data inout matrix sink double");

  genericSimpleWorkflowClient(WF_DIRECTORY "inout_sink_matrix_DMADD.xml",
                              "Inout Matrix Sink double",
                              DIET_WF_DAG,
							  "",
							  WF_DIRECTORY "data_out.xml",
							  "",
							  expectedResult);
}



BOOST_AUTO_TEST_SUITE_END()
