/**
 * @file Openstack_BatchSystem.hh
 *
 * @brief Batch System implementation for Openstack clouds
 *
 * @author Guillaume Verger (guillaume.verger@inria.fr)
 *
 * @section License
 *   |LICENSE|
 */

#ifndef OPENSTACK_BATCHSYSTEM_HH
#define OPENSTACK_BATCHSYSTEM_HH

#include "BatchSystem.hh"

class Openstack_BatchSystem : public BatchSystem
{
public:
  Openstack_BatchSystem(int batchID, const char *batchName);
  virtual ~Openstack_BatchSystem ();

  virtual int
  diet_submit_parallel(diet_profile_t *profile,
                       const char *addon_prologue,
                       const char *command);

  virtual batchJobState
  askBatchJobStatus(int batchJobID);

  virtual int
  isBatchJobCompleted(int batchJobID);

  virtual int
  getNbTotResources();

  virtual int
  getNbResources();

  virtual int
  getMaxWalltime();

  virtual int
  getMaxProcs();

  virtual int
  getNbTotFreeResources();

  virtual int
  getNbFreeResources();

private:
};

#endif /* OPENSTACK_BATCHSYSTEM_HH */

